LPCOpen Platform for LPC18XX/43XX microcontrollers: OTP_API_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OTP_API_T Struct Reference
CHIP: LPC18xx_43xx ROM API declarations and functions

## Detailed Description

LPC18XX_43XX OTP API structure.

Definition at line 50 of file romapi_18xx_43xx.h.

`#include "romapi_18xx_43xx.h"`

## Data Fields
uint32_t(* | Init )(void)
uint32_t(* | ProgBootSrc )(CHIP_OTP_BOOT_SRC_T BootSrc)
uint32_t(* | ProgJTAGDis )(void)
uint32_t(* | ProgUSBID )(uint32_t ProductID, uint32_t VendorID)
uint32_t | reserved01
uint32_t | reserved02
uint32_t | reserved03
uint32_t | reserved04
uint32_t(* | ProgGP0 )(uint32_t data, uint32_t mask)
uint32_t(* | ProgGP1 )(uint32_t data, uint32_t mask)
uint32_t(* | ProgGP2 )(uint32_t data, uint32_t mask)
uint32_t(* | ProgKey1 )(uint8_t *key)
uint32_t(* | ProgKey2 )(uint8_t *key)
uint32_t(* | GenRand )(void)

## Field Documentation

uint32_t(* GenRand)(void)

Definition at line 64 of file romapi_18xx_43xx.h.

uint32_t(* Init)(void)

Initializes OTP controller.

Definition at line 51 of file romapi_18xx_43xx.h.

uint32_t(* ProgBootSrc)(CHIP_OTP_BOOT_SRC_T BootSrc)

Definition at line 52 of file romapi_18xx_43xx.h.

uint32_t(* ProgGP0)(uint32_t data, uint32_t mask)

Definition at line 59 of file romapi_18xx_43xx.h.

uint32_t(* ProgGP1)(uint32_t data, uint32_t mask)

Definition at line 60 of file romapi_18xx_43xx.h.

uint32_t(* ProgGP2)(uint32_t data, uint32_t mask)

Definition at line 61 of file romapi_18xx_43xx.h.

uint32_t(* ProgJTAGDis)(void)

Definition at line 53 of file romapi_18xx_43xx.h.

uint32_t(* ProgKey1)(uint8_t *key)

Definition at line 62 of file romapi_18xx_43xx.h.

uint32_t(* ProgKey2)(uint8_t *key)

Definition at line 63 of file romapi_18xx_43xx.h.

uint32_t(* ProgUSBID)(uint32_t ProductID, uint32_t VendorID)

Definition at line 54 of file romapi_18xx_43xx.h.

uint32_t reserved01

Definition at line 55 of file romapi_18xx_43xx.h.

uint32_t reserved02

Definition at line 56 of file romapi_18xx_43xx.h.

uint32_t reserved03

Definition at line 57 of file romapi_18xx_43xx.h.

uint32_t reserved04

Definition at line 58 of file romapi_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/romapi_18xx_43xx.h